| Home | Libraries | People | FAQ | More

##### basic_static_string::replace (10 of 14 overloads)

Replace a part of the string.

###### Synopsis

    basic_static_string&
    replace(
        const_iterator i1,
        const_iterator i2,
        const_pointer s,
        size_type n);

###### Description

Replaces the characters in the range `{i1, i2)` with those of `{s, s + n)`.

###### Precondition

`{i1, i2)`is a valid range.

###### Exception Safety

Strong guarantee.

###### Remarks

All references, pointers, or iterators referring to contained elements are invalidated. Any past-the-end iterators are also invalidated.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`i1` | An iterator referring to the first character to replace.
`i2` | An iterator referring past the end of the last character to replace.
`s` | The string to replace with.
`n` | The length of the string to replace with.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `size() + (n - std::distance(i1, i2)) > max_size()`